Imports EgtUILib

Class Application

   ' Application-level events, such as Startup, Exit, and DispatcherUnhandledException
   ' can be handled in this file.
   Protected Overrides Sub OnStartup(e As StartupEventArgs)
      MyBase.OnStartup(e)
      ShutdownMode = System.Windows.ShutdownMode.OnMainWindowClose
      ' Creo la View principale
      Me.MainWindow = New MainWindowV
      ' Mostro la View principale
      Me.MainWindow.Show()
   End Sub

   Public Sub ManageUnhandledException(sender As Object, e As System.Windows.Threading.DispatcherUnhandledExceptionEventArgs) Handles Me.DispatcherUnhandledException
      EgtOutLog(e.Exception.ToString)
      e.Handled = True
   End Sub

End Class
